package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/16
 */
public class StudentPersonalAttendanceDto {

    /** 上课日期 */
    @ApiModelProperty(value = "上课日期",required = false)
    private java.util.Date classDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间",required = false)
    private java.util.Date startClassTime;

    /** 班级类型(普通班级、合奏班级) */
    @ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级)",required = false)
    private ClassGroupTypeEnum type;

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String className;

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    /** 状态（正常、旷课、请假） */
    @ApiModelProperty(value = "状态（正常、旷课、请假、休学）",required = false)
    private StudentAttendanceStatusEnum status;

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public ClassGroupTypeEnum getType() {
        return type;
    }

    public void setType(ClassGroupTypeEnum type) {
        this.type = type;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public StudentAttendanceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentAttendanceStatusEnum status) {
        this.status = status;
    }
}
